UbuntuUpdates.org

Package "libreoffice-report-builder-bin"

Name: libreoffice-report-builder-bin

Description:

LibreOffice component for building database reports -- libraries

Latest version: 4:24.2.4-0ubuntu0.24.04.2
Release: noble (24.04)
Level: updates
Repository: universe
Head package: libreoffice
Homepage: http://www.libreoffice.org

Links


Download "libreoffice-report-builder-bin"


Other versions of "libreoffice-report-builder-bin" in Noble

Repository Area Version
base universe 4:24.2.2-0ubuntu1
security universe 4:24.2.4-0ubuntu0.24.04.2
PPA: LibreOffice 4:24.2.5~rc2-0ubuntu0.24.04.1~lo1

Changelog

Version: 4:24.2.4-0ubuntu0.24.04.2 2024-07-04 18:07:12 UTC

  libreoffice (4:24.2.4-0ubuntu0.24.04.2) noble-security; urgency=medium

  * No-change rebuild in the -security pocket to fix CVE-2024-5261.
    (LP: #2071624)

 -- Marc Deslauriers <email address hidden> Tue, 02 Jul 2024 07:26:26 -0400

Source diff to previous version
2071624 CVE-2024-5261
CVE-2024-5261 Improper Certificate Validation vulnerability in LibreOffice "LibreOfficeKit" mode disables TLS certification verification LibreOfficeKit can be use

Version: 4:24.2.4-0ubuntu0.24.04.1 2024-06-26 22:07:34 UTC

  libreoffice (4:24.2.4-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2068562)
  * debian/control.in: Make sure ucf and awk are available before installing
    python3-uno

 -- Rico Tzschichholz <email address hidden> Wed, 05 Jun 2024 08:26:06 +0200

Source diff to previous version
2068562 [SRU] libreoffice 24.2.4 for noble

Version: 4:24.2.3-0ubuntu0.24.04.2 2024-05-28 15:07:16 UTC

  libreoffice (4:24.2.3-0ubuntu0.24.04.2) noble-security; urgency=medium

  * No-change rebuild in the -security pocket to fix CVE-2024-3044.

 -- Marc Deslauriers <email address hidden> Thu, 23 May 2024 10:47:24 -0400

Source diff to previous version
CVE-2024-3044 Unchecked script execution in Graphic on-click binding in affected LibreOffice versions allows an attacker to create a document which without prompt

Version: 4:24.2.3-0ubuntu0.24.04.1 2024-05-23 15:07:09 UTC

  libreoffice (4:24.2.3-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2064667)

  [ Rico Tzschichholz ]
  * Drop debian/patches/python-3.12.diff, which is upstream

  [ Rene Engelhard ]
  * Add -gtk4/-kf6 to 'Installed VCLplugs' in libreoffice-core.bug-script.in

 -- Rico Tzschichholz <email address hidden> Tue, 30 Apr 2024 08:08:15 +0200

2064667 [SRU] libreoffice 24.2.3 for noble



About   -   Send Feedback to @ubuntu_updates